GBP-IMPORT-ORIG(1)

NAME
git-import-orig, gbp-import-orig - Import an upstream source into a git repository

SYNOPSIS

gbp import-orig [ --verbose ] [ --upstream-version=version ] [ --[no-]merge ] [ --upstream-branch=branch_name ] [ --debian-branch=branch_name ] [ --upstream-vcs-tag=tag_name ] [ --[no-]sign-tags ] [ --keyid=gpg-keyid ] [ --upstream-tag=tag-format ] [ --filter=pattern ] [ --[no-]pristine-tar ] [ --[no-]filter-pristine-tar ] [ --[no-]symlink-orig ] [ --postimport=cmd ] [ --[no-]interactive ] upstream-source | --uscan

DESCRIPTION

gbp import-orig imports upstream-source into the Git repository. upstream-source can either be a gzip, bzip2, lzma or xz compressed tar archive, a zip archive or an already unpacked source tree. If it is already of the form package-name_version.orig.tar.gz, the version information is read from the tarball's filename otherwise it can be given on the command line via --upstream-version. If the source package name or version can't be determined gbp import-orig will prompt for it unless --no-interactive is given.

The sources are placed on the upstream branch (default: upstream), tagged and merged onto the debian branch (default: master).

OPTIONS

--upstream-version=version

-uversion
    The upstream version number

--merge
    Merge the upstream branch to the debian branch after import

--upstream-branch=branch_name
    The branch in the Git repository the upstream sources are put onto. Default is upstream.

--debian-branch=branch_name
    The branch in the Git repository the Debian package is being developed on, default is master. After importing the new sources on the upstream branch, gbp import-orig will try to merge the new version onto this branch.

--upstream-vcs-tag=tag_name
    Add tag_name as additional parent to the commit of the upstream tarball. Useful when upstream uses git and you want to link to it's revision history.

--verbose

-v  verbose execution

--[no-]sign-tags
    GPG sign all created tags

--keyid=gpg-keyid
    use this keyid for gpg signing tags

--upstream-tag=tag-format
    use this tag format when tagging upstream versions, default is upstream/%(version)s

--import-msg=msg-format
    use this format string for the commit message when importing upstream versions, default is Imported Upstream version %(version)s

--filter=pattern
    filter out files glob-matching pattern. Can be given multiple times.

--[no-]pristine-tar
    generate pristine-tar delta file

--[no-]filter-pristine-tar
    if using a filter also filter the files out of the tarball passed to pristine-tar

--[no-]symlink-orig
    Whether to create and keep a symlink from the upstream tarball to a Debian policy conformant upstream tarball name located in ../.

    This is a good idea if not using pristine-tar since it avoids creating a new tarball with a different md5sum.

--postimport=cmd
    run cmd after the import.

--uscan
    Use uscan to fetch new upstream version.

EXAMPLES

Download and import a new upstream version using the informantion from debian/watch

      gbp import-orig --uscan

After downloading an upstream tarball by hand import it

      gbp import-orig ../upstream-tarball-0.1.tar.gz

CONFIGURATION FILES

Several gbp.conf files are parsed to set defaults for the above commandline arguments. See the gbp.conf(5) manpage for details.

SEE ALSO

gbp-buildpackage(1), gbp-import-dsc(1), gbp-import-dscs(1), gbp-dch(1), gbp.conf(5), debuild(1), git(1), pristine-tar(1), The Git-Buildpackage Manual <URL:file:///usr/share/doc/git-buildpackage/manual-html/index.html>

AUTHOR

Guido Guenther <agx@sigxcpu.org>